/*
 * Copyright (c) 2020 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef MOCK_AUL_H_
#define MOCK_AUL_H_

#include <aul.h>
#include <aul_app_com.h>

#include "mock.h"

DECLARE_FAKE_VALUE_FUNC(int, aul_app_get_appid_bypid, int, char*, int);
DECLARE_FAKE_VALUE_FUNC(int, aul_app_com_create, const char*, aul_app_com_permission_h, app_com_cb, void *, aul_app_com_connection_h*);
DECLARE_FAKE_VALUE_FUNC(int, aul_app_com_send, const char*, bundle*);

#endif //MOCK_AUL_H_
